org.richfaces.taglib

## Class ExtendedDataTableTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.ExtendedDataTableTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ExtendedDataTableTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDataTableTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setActiveClass(javax.el.ValueExpression __activeClass)` CSS class for active row Setter for activeClass
    `void` | `setActiveRowKey(javax.el.ValueExpression __activeRowKey)` Request scope attribute under which the activeRowKey will be accessible Setter for activeRowKey
    `void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
    `void` | `setAlign(javax.el.ValueExpression __align)` Deprecated.
    `void` | `setBgcolor(javax.el.ValueExpression __bgcolor)` Deprecated.
    `void` | `setBorder(javax.el.ValueExpression __border)` This attributes specifies the width of the frame around a component.
    `void` | `setCaptionClass(javax.el.ValueExpression __captionClass)` Space-separated list of CSS style class(es) that are be applied to caption for this component Setter for captionClass
    `void` | `setCaptionStyle(javax.el.ValueExpression __captionStyle)` CSS style(s) is/are to be applied to caption when this component is rendered Setter for captionStyle
    `void` | `setCellpadding(javax.el.ValueExpression __cellpadding)` This attribute specifies the amount of space between the border of the cell and its contents.
    `void` | `setCellspacing(javax.el.ValueExpression __cellspacing)` This attribute specifies the amount of space between the border of the cell and its contents.
    `void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
    `void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
    `void` | `setEnableContextMenu(javax.el.ValueExpression __enableContextMenu)` If set to true, table header context menu will be enabled Setter for enableContextMenu
    `void` | `setFirst(javax.el.ValueExpression __first)` A zero-relative row number of the first row to display Setter for first
    `void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Space-separated list of CSS style class(es) that are be applied to footer for this component Setter for footerClass
    `void` | `setFrame(javax.el.ValueExpression __frame)` This attribute specifies which sides of the frame surrounding a table will be visible.
    `void` | `setGroupingColumn(javax.el.ValueExpression __groupingColumn)` Defines an id of column which the data is grouped by.
    `void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Space-separated list of CSS style class(es) that are be applied to header for this component Setter for headerClass
    `void` | `setHeight(javax.el.ValueExpression __height)` Defines a height of the component.
    `void` | `setNoDataLabel(javax.el.ValueExpression __noDataLabel)` Defines label to be displayed in case there are no data rows.
    `void` | `setOnRowClick(javax.el.ValueExpression __onRowClick)` HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
    `void` | `setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)` HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
    `void` | `setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)` HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
    `void` | `setOnRowMouseMove(javax.el.ValueExpression __onRowMouseMove)` HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove
    `void` | `setOnRowMouseOut(javax.el.ValueExpression __onRowMouseOut)` HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut
    `void` | `setOnRowMouseOver(javax.el.ValueExpression __onRowMouseOver)` HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver
    `void` | `setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)` HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
    `void` | `setOnselectionchange(javax.el.ValueExpression __onselectionchange)` HTML: script expression to invoke on changing of rows selection Setter for onselectionchange
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
    `void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
    `void` | `setRowKeyVar(javax.el.ValueExpression __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
    `void` | `setRows(javax.el.ValueExpression __rows)` A number of rows to display, or zero for all remaining rows in the table Setter for rows
    `void` | `setRules(javax.el.ValueExpression __rules)` This attribute specifies which rules will appear between cells within a table.
    `void` | `setSelectedClass(javax.el.ValueExpression __selectedClass)` CSS class for selected rows Setter for selectedClass
    `void` | `setSelection(javax.el.ValueExpression __selection)` Value binding representing selected rows Setter for selection
    `void` | `setSelectionMode(javax.el.ValueExpression __selectionMode)` Single row can be selected. multi: Multiple rows can be selected. none: no rows can be selected.
    `void` | `setSortMode(javax.el.ValueExpression __sortMode)` Defines mode of sorting.
    `void` | `setSortPriority(javax.el.ValueExpression __sortPriority)` Defines a set of column ids in the order the columns could be set Setter for sortPriority
    `void` | `setStateVar(javax.el.ValueExpression __stateVar)` The attribute provides access to a component state on the client side Setter for stateVar
    `void` | `setTableState(javax.el.ValueExpression __tableState)` ValueBinding pointing at a property of a String to hold table state Setter for tableState
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
    `void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
    `void` | `setWidth(javax.el.ValueExpression __width)` This attribute specifies the desired width of the entire table and is intended for visual user agents.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ExtendedDataTableTag

          public ExtendedDataTableTag()

  - ### Method Detail

    - #### setActiveClass

          public void setActiveClass(javax.el.ValueExpression __activeClass)

      CSS class for active row Setter for activeClass
      Parameters:
        `activeClass` - - new value

    - #### setActiveRowKey

          public void setActiveRowKey(javax.el.ValueExpression __activeRowKey)

      Request scope attribute under which the activeRowKey will be accessible Setter for activeRowKey
      Parameters:
        `activeRowKey` - - new value

    - #### setAjaxKeys

          public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

      This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
      Parameters:
        `ajaxKeys` - - new value

    - #### setAlign

          public void setAlign(javax.el.ValueExpression __align)

      Deprecated. This attribute specifies the position of the table with respect to the document. The possible values are "left", "center" and "right". The default value is "left". Setter for align
      Parameters:
        `align` - - new value

    - #### setBgcolor

          public void setBgcolor(javax.el.ValueExpression __bgcolor)

      Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Setter for bgcolor
      Parameters:
        `bgcolor` - - new value

    - #### setBorder

          public void setBorder(javax.el.ValueExpression __border)

      This attributes specifies the width of the frame around a component. Default value is "0" Setter for border
      Parameters:
        `border` - - new value

    - #### setCaptionClass

          public void setCaptionClass(javax.el.ValueExpression __captionClass)

      Space-separated list of CSS style class(es) that are be applied to caption for this component Setter for captionClass
      Parameters:
        `captionClass` - - new value

    - #### setCaptionStyle

          public void setCaptionStyle(javax.el.ValueExpression __captionStyle)

      CSS style(s) is/are to be applied to caption when this component is rendered Setter for captionStyle
      Parameters:
        `captionStyle` - - new value

    - #### setCellpadding

          public void setCellpadding(javax.el.ValueExpression __cellpadding)

      This attribute specifies the amount of space between the border of the cell and its contents. Default value is "0" Setter for cellpadding
      Parameters:
        `cellpadding` - - new value

    - #### setCellspacing

          public void setCellspacing(javax.el.ValueExpression __cellspacing)

      This attribute specifies the amount of space between the border of the cell and its contents. The attribute also specifies the amount of space to leave between cells. Default value is "0" Setter for cellspacing
      Parameters:
        `cellspacing` - - new value

    - #### setColumnClasses

          public void setColumnClasses(javax.el.ValueExpression __columnClasses)

      Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses
      Parameters:
        `columnClasses` - - new value

    - #### setComponentState

          public void setComponentState(javax.el.ValueExpression __componentState)

      It defines EL-binding for a component state for saving or redefinition Setter for componentState
      Parameters:
        `componentState` - - new value

    - #### setEnableContextMenu

          public void setEnableContextMenu(javax.el.ValueExpression __enableContextMenu)

      If set to true, table header context menu will be enabled Setter for enableContextMenu
      Parameters:
        `enableContextMenu` - - new value

    - #### setFirst

          public void setFirst(javax.el.ValueExpression __first)

      A zero-relative row number of the first row to display Setter for first
      Parameters:
        `first` - - new value

    - #### setFooterClass

          public void setFooterClass(javax.el.ValueExpression __footerClass)

      Space-separated list of CSS style class(es) that are be applied to footer for this component Setter for footerClass
      Parameters:
        `footerClass` - - new value

    - #### setFrame

          public void setFrame(javax.el.ValueExpression __frame)

      This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: "void", "above", "below", "hsides", "lhs", "rhs", "vsides", "box" and "border". The default value is "void". Setter for frame
      Parameters:
        `frame` - - new value

    - #### setGroupingColumn

          public void setGroupingColumn(javax.el.ValueExpression __groupingColumn)

      Defines an id of column which the data is grouped by. Setter for groupingColumn
      Parameters:
        `groupingColumn` - - new value

    - #### setHeaderClass

          public void setHeaderClass(javax.el.ValueExpression __headerClass)

      Space-separated list of CSS style class(es) that are be applied to header for this component Setter for headerClass
      Parameters:
        `headerClass` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Defines a height of the component. Default value is "500px" Setter for height
      Parameters:
        `height` - - new value

    - #### setNoDataLabel

          public void setNoDataLabel(javax.el.ValueExpression __noDataLabel)

      Defines label to be displayed in case there are no data rows. Setter for noDataLabel
      Parameters:
        `noDataLabel` - - new value

    - #### setOnRowClick

          public void setOnRowClick(javax.el.ValueExpression __onRowClick)

      HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
      Parameters:
        `onRowClick` - - new value

    - #### setOnRowDblClick

          public void setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)

      HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
      Parameters:
        `onRowDblClick` - - new value

    - #### setOnRowMouseDown

          public void setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)

      HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
      Parameters:
        `onRowMouseDown` - - new value

    - #### setOnRowMouseMove

          public void setOnRowMouseMove(javax.el.ValueExpression __onRowMouseMove)

      HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove
      Parameters:
        `onRowMouseMove` - - new value

    - #### setOnRowMouseOut

          public void setOnRowMouseOut(javax.el.ValueExpression __onRowMouseOut)

      HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut
      Parameters:
        `onRowMouseOut` - - new value

    - #### setOnRowMouseOver

          public void setOnRowMouseOver(javax.el.ValueExpression __onRowMouseOver)

      HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver
      Parameters:
        `onRowMouseOver` - - new value

    - #### setOnRowMouseUp

          public void setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)

      HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
      Parameters:
        `onRowMouseUp` - - new value

    - #### setOnselectionchange

          public void setOnselectionchange(javax.el.ValueExpression __onselectionchange)

      HTML: script expression to invoke on changing of rows selection Setter for onselectionchange
      Parameters:
        `onselectionchange` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRowClasses

          public void setRowClasses(javax.el.ValueExpression __rowClasses)

      A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses
      Parameters:
        `rowClasses` - - new value

    - #### setRowKeyConverter

          public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

      Converter for a row key object Setter for rowKeyConverter
      Parameters:
        `rowKeyConverter` - - new value

    - #### setRowKeyVar

          public void setRowKeyVar(javax.el.ValueExpression __rowKeyVar)

      The attribute provides access to a row key in a Request scope Setter for rowKeyVar
      Parameters:
        `rowKeyVar` - - new value

    - #### setRows

          public void setRows(javax.el.ValueExpression __rows)

      A number of rows to display, or zero for all remaining rows in the table Setter for rows
      Parameters:
        `rows` - - new value

    - #### setRules

          public void setRules(javax.el.ValueExpression __rules)

      This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Setter for rules
      Parameters:
        `rules` - - new value

    - #### setSelectedClass

          public void setSelectedClass(javax.el.ValueExpression __selectedClass)

      CSS class for selected rows Setter for selectedClass
      Parameters:
        `selectedClass` - - new value

    - #### setSelection

          public void setSelection(javax.el.ValueExpression __selection)

      Value binding representing selected rows Setter for selection
      Parameters:
        `selection` - - new value

    - #### setSelectionMode

          public void setSelectionMode(javax.el.ValueExpression __selectionMode)

      Single row can be selected. multi: Multiple rows can be selected. none: no rows can be selected. Default value is "single" Setter for selectionMode
      Parameters:
        `selectionMode` - - new value

    - #### setSortMode

          public void setSortMode(javax.el.ValueExpression __sortMode)

      Defines mode of sorting. Possible values are 'single' for sorting of one column and 'multi' for some. Setter for sortMode
      Parameters:
        `sortMode` - - new value

    - #### setSortPriority

          public void setSortPriority(javax.el.ValueExpression __sortPriority)

      Defines a set of column ids in the order the columns could be set Setter for sortPriority
      Parameters:
        `sortPriority` - - new value

    - #### setStateVar

          public void setStateVar(javax.el.ValueExpression __stateVar)

      The attribute provides access to a component state on the client side Setter for stateVar
      Parameters:
        `stateVar` - - new value

    - #### setTableState

          public void setTableState(javax.el.ValueExpression __tableState)

      ValueBinding pointing at a property of a String to hold table state Setter for tableState
      Parameters:
        `tableState` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### setVar

          public void setVar(java.lang.String __var)

      A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
      Parameters:
        `var` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      This attribute specifies the desired width of the entire table and is intended for visual user agents. When the value is percentage value, the value is relative to the user agent's available horizontal space. In the absence of any width specification, table width is determined by the user agent Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.